* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}
body {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background: linear-gradient(to bottom, #3c39e7, #0f163f);
}
.container {
    position: relative;
    width: 70vw;
    height: 80vh;
    background: #fff;
    border-radius: 15px;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.3), 0 6px 20px 0 rgba(0, 0, 0, 0.3);
    overflow: hidden;
}
.container::before {
    content: "";
    position: absolute;
    top: 0;
    left: -50%;
    width: 100%;
    height: 100%;
    background: linear-gradient(-45deg, #3c39e7 , #0f163f);
    z-index: 6;
    transform: translateX(100%);
    transition: 1s ease-in-out;
}
.signin-signup {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-around;
    z-index: 5;
}
form {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 40%;
    min-width: 238px;
    padding: 0 10px;
}
form.sign-in-form {
    opacity: 1;
    transition: 0.5s ease-in-out;
    transition-delay: 1s;
}
form.sign-up-form {
    opacity: 0;
    transition: 0.5s ease-in-out;
    transition-delay: 1s;
}
.title {
    font-size: 35px;
    font-family: 'Permanent Marker', cursive;
    color: #122174;
    margin-bottom: 10px;
}
.title1{
    font-size: 15px;
    color: #0f163f;
    margin-bottom: 10px;
}
.input-field {
    width: 90%;
    height: 50px;
    background: #f0f0f0;
    margin: 10px 5px;
    border: 2px solid #0f163f;
    border-radius: 50px;
    display: flex;
    align-items: center;
}
.input-field i {
    flex: 1;
    text-align: center;
    color: #666;
    font-size: 18px;
}
.input-field input {
    flex: 5;
    background: none;
    border: none;
    outline: none;
    width: 100%;
    font-size: 18px;
    font-weight: 600;
    color: #444;
}
.btn {
    width: 130px;
    height: 30px;
    border: none;
    border-radius: 50px;
    background: #0f163f;
    color: #fff;
    font-weight: 600;
   margin-top: 20px;
    text-transform: uppercase;
    cursor: pointer;
}
.btn:hover {
    background: #0f163f;
}
.social-text {
    margin: 10px 0;
    font-size: 16px;
}
.social-media {
    display: flex;
    justify-content: center;
}
.social-icon {
    height: 45px;
    width: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #444;
    border: 1px solid #444;
    border-radius: 50px;
    margin: 0 5px;
}
a {
    text-decoration: none;
}
.social-icon:hover {
    color: #0f163f;
    border-color: #0f163f;
}
.panels-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-around;
}
.panel {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    width: 35%;
    min-width: 238px;
    padding: 0 10px;
    text-align: center;
    z-index: 6;
}
.left-panel {
    pointer-events: none;
}
.content {
    color: #fff;
    transition: 1.1s ease-in-out;
    transition-delay: 0.5s;
}
.panel h3 {
    font-size: 24px;
    font-family: 'Permanent Marker', cursive;
    font-weight: 400;
}
.panel p {
    font-size: 15px;
    padding: 10px 0;
}
.image {
    width: 15%;
    margin-top: 150px;
    margin-bottom: -195px;
    margin-left: -170px;
    transition: 1.1s ease-in-out;
    transition-delay: 0.3s;
}
.image1{
    width: 15%;
    margin-top: 150px;
    margin-bottom: -100px;
    margin-left: 100px;
    transition: 1.1s ease-in-out;
    transition-delay: 0.3s;
    
}
.image2{
    width: 25%;
    margin-top: 25px;
    margin-bottom: -240px;
    margin-left: 300px;
    transition: 1.1s ease-in-out;
    transition-delay: 0.3s;
}
.image3{
    width: 25%;
    margin-top: -40px;
    margin-left: 115px;
}
.image4{
    width: 27%;
    margin-top: 400px;
    margin-left: -400px;

}

.left-panel .image,
.left-panel .content {
    transform: translateX(-200%);
}
.right-panel .image,
.right-panel .content {
    transform: translateX(0);
}
.account-text {
    display: none;
}
/*Animation*/
.container.sign-up-mode::before {
    transform: translateX(0);
}
.container.sign-up-mode .right-panel .image,
.container.sign-up-mode .right-panel .image1,
.container.sign-up-mode .right-panel .image2,
.container.sign-up-mode .right-panel .image3,

.container.sign-up-mode .right-panel .content {
    transform: translateX(-650%);
    transition: 1.1s ease-in-out;
    transition-delay: 0.3s;
}


.container.sign-up-mode .left-panel .image,
.container.sign-up-mode .left-panel .content {
    transform: translateX(0);
    
    transition-delay: 0.3s;
}
.container.sign-up-mode form.sign-in-form {
    opacity: 0;
}
.container.sign-up-mode form.sign-up-form {
    opacity: 1;
}
.container.sign-up-mode .right-panel {
    pointer-events: none;
}
.container.sign-up-mode .left-panel {
    pointer-events: all;
}
/*Responsive*/
@media (max-width:779px) {
    .container {
        width: 100vw;
        height: 100vh;
    }
    .image3{
        width: 20%;
        margin-top: 20px;
        margin-left: 120px;
    
    }
    .image {
        width: 30%;
        
        
    }
    .image1{
        width: 30%;
        
        
    }
    .image2{
        width: 30%;
        
       
    }
    .image4{
        width: 30%;
      
    }
}
@media (max-width:635px) {
    .container::before {
        display: none;
    }
    form {
        width: 80%;
    }
    form.sign-up-form {
        display: none;
    }
    .container.sign-up-mode2 form.sign-up-form {
        display: flex;
        opacity: 1;
    }
    .container.sign-up-mode2 form.sign-in-form {
        display: none;
    }
    .panels-container {
        display: none;
    }
    .account-text {
        display: initial;
        margin-top: 30px;
    }
    .image3{
        width: 25%;
        margin-top: 20px;
        margin-left: 250px;
    
    }
    .image4{
        width: 55%;
        margin-top: 500px;
        margin-left: -600px;
    
    }
}
@media (max-width:320px) {
    form {
        width: 100%;
    }
}